# Interface CustomViewInterface<R>

#### Type Parameters

- #### R

#### Hierarchy

- CustomViewInterface

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:21

#####
Index

### Properties

blockChangeCallback?
blockConfig
blockSelectorElement?
modelChangeCallback?

## Properties

### `Optional` blockChangeCallback

blockChangeCallback?: ((plugin: StructureViewerPublicInterface<R>, pfvList: RcsbFv[], stateManager: RcsbFvStateManager) => void)

#### Type declaration

- - (plugin: StructureViewerPublicInterface<R>, pfvList: RcsbFv[], stateManager: RcsbFvStateManager): void

  - #### Parameters

    - ##### plugin: StructureViewerPublicInterface<R>

    - ##### pfvList: RcsbFv[]

    - ##### stateManager: RcsbFvStateManager

    #### Returns void

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:25

### blockConfig

blockConfig: FeatureBlockInterface<R> | FeatureBlockInterface<R>[]

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:22

### `Optional` blockSelectorElement

blockSelectorElement?: ((blockSelector: BlockSelectorManager) => Element)

#### Type declaration

- - (blockSelector: BlockSelectorManager): Element

  - #### Parameters

    - ##### blockSelector: BlockSelectorManager

    #### Returns Element

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:23

### `Optional` modelChangeCallback

modelChangeCallback?: (() => CustomViewStateInterface<R>)

#### Type declaration

- - (): CustomViewStateInterface<R>

  - #### Returns CustomViewStateInterface<R>

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:24

Generated using TypeDoc